package autovermietung.models;

import java.sql.Date;

public class Pkw {
   private String kennzeichen;
   private Date erstzulassung;
   private int tachostand;
   private String farbe;
   private Date ausleihdatum;
   private int mnr;
   private int knr;

   public Pkw(String k, Date e, int t, String f, Date a, int mnr, int knr) {
       this.kennzeichen = k;
       this.erstzulassung = e;
       this.tachostand = t;
       this.farbe = f;
       this.ausleihdatum = a;
       this.mnr = mnr;
       this.knr = knr;
   }

    public Date getAusleihdatum() {
        return ausleihdatum;
    }

    public void setAusleihdatum(Date ausleihdatum) {
        this.ausleihdatum = ausleihdatum;
    }

    public String getFarbe() {
        return farbe;
    }

    public void setFarbe(String farbe) {
        this.farbe = farbe;
    }

    public int getTachostand() {
        return tachostand;
    }

    public void setTachostand(int tachostand) {
        this.tachostand = tachostand;
    }

    public Date getErstzulassung() {
        return erstzulassung;
    }

    public void setErstzulassung(Date erstzulassung) {
        this.erstzulassung = erstzulassung;
    }

    public String getKennzeichen() {
        return kennzeichen;
    }

    public void setKennzeichen(String kennzeichen) {
        this.kennzeichen = kennzeichen;
    }

    public void getInformation() {
       System.out.print(this.kennzeichen);
       System.out.print("\t" + this.farbe);
       System.out.print("\t" + this.tachostand);
       System.out.print("\t" + this.erstzulassung);
       System.out.print("\t" + this.ausleihdatum);
    }

    public int getKnr() {
        return knr;
    }

    public void setKnr(int knr) {
        this.knr = knr;
    }

    public int getMnr() {
        return mnr;
    }

    public void setMnr(int mnr) {
        this.mnr = mnr;
    }
}
